Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class BreakClear

    java.lang.Object
      org.apache.poi.xwpf.usermodel.BreakClear

    public class BreakClear

extends java.lang.Object

Specifies the set of possible restart locations which may be used as to determine the next available line when a break's type attribute has a value of textWrapping.

Author:
  Gisella Bronzetti

Field Summary
`static BreakClear` | `ALL` Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document which spans the full width of the line.
`static BreakClear` | `LEFT` Specifies that the text wrapping break shall behave as follows: If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides: If this is the leftmost region of text flow on this line, advance the text to the next position on the line Otherwise, treat this as a text wrapping break of type all.
`static BreakClear` | `NONE` Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document, regardless of its position left to right or the presence of any floating objects which intersect with the line, This is the setting for a typical line break in a document.
`static BreakClear` | `RIGHT` Specifies that the text wrapping break shall behave as follows: If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides: If this is the rightmost region of text flow on this line, advance the text to the next position on the next line Otherwise, treat this as a text wrapping break of type all.

Method Summary
`int` | `getValue()`
`static BreakClear` | `valueOf(int type)`
`static BreakClear[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final BreakClear NONE

  Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document, regardless of its position left to right or the presence of any floating objects which intersect with the line, This is the setting for a typical line break in a document.

### LEFT

    public static final BreakClear LEFT

  Specifies that the text wrapping break shall behave as follows:
  - If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides:
    - If this is the leftmost region of text flow on this line, advance the text to the next position on the line
    - Otherwise, treat this as a text wrapping break of type all.
  - If this line is not broken into multiple regions, then treat this break as a text wrapping break of type none.
  - If the parent paragraph is right to left, then these behaviors are also reversed.

### RIGHT

    public static final BreakClear RIGHT

  Specifies that the text wrapping break shall behave as follows:
  - If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides:
    - If this is the rightmost region of text flow on this line, advance the text to the next position on the next line
    - Otherwise, treat this as a text wrapping break of type all.
  - If this line is not broken into multiple regions, then treat this break as a text wrapping break of type none.
  - If the parent paragraph is right to left, then these beha viors are also reversed.

### ALL

    public static final BreakClear ALL

  Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document which spans the full width of the line.

Method Detail

### getValue

    public int getValue()

### values

    public static BreakClear[] values()

### valueOf

    public static BreakClear valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD